<?php
namespace Zeedhi\DevOps\Model\Configurationmanager\Entities\Base;


abstract class DeployCustomization {

    /** @var \Datetime  */
    protected $created;
    /** @var \Datetime  */
    protected $deployDate;
    /** @var int  */
    protected $id;
    /** @var string  */
    protected $isActive = 'Y';
    /** @var string  */
    protected $status;
    /** @var string  */
    protected $description;
    /** @var string  */
    protected $version;
    /** @var string  */
    protected $previousVersion;
    /** @var string  */
    protected $migErrorLog;
    /** @var string  */
    protected $migFullLog;
    /** @var \Datetime  */
    protected $updated;
    /** @var \Zeedhi\DevOps\Model\Profile\Entities\ZhUser  */
    protected $createdBy;
    /** @var \Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization  */
    protected $organization;
    /** @var \Zeedhi\DevOps\Model\Configurationmanager\Entities\Product  */
    protected $product;
    /** @var \Zeedhi\DevOps\Model\Servermanager\Entities\ProductServer  */
    protected $productServer;
    /** @var \Zeedhi\DevOps\Model\Profile\Entities\ZhUser  */
    protected $updatedBy;
    /** @var \Zeedhi\DevOps\Model\Projectmanagement\Entities\Resource  */
    protected $resource;

    public function getCreated() {
        return $this->created;
    }
	public function setCreated(\Datetime $created) {
        $this->created = $created;
    }
	public function getDeployDate() {
        return $this->deployDate;
    }
	public function setDeployDate(\Datetime $deployDate = NULL) {
        $this->deployDate = $deployDate;
    }
	public function getId() {
        return $this->id;
    }
	public function setId($id) {
        $this->id = $id;
    }
	public function getIsActive() {
        return $this->isActive;
    }
	public function setIsActive($isActive) {
        $this->isActive = $isActive;
    }
	public function getStatus() {
        return $this->status;
    }
	public function setStatus($status) {
        $this->status = $status;
    }
	public function getDescription() {
        return $this->description;
    }
	public function setDescription($description) {
        $this->description = $description;
    }
	public function getVersion() {
        return $this->version;
    }
	public function setVersion($version) {
        $this->version = $version;
    }
	public function getPreviousVersion() {
        return $this->previousVersion;
    }
	public function setPreviousVersion($previousVersion) {
        $this->previousVersion = $previousVersion;
    }
	public function getMigErrorLog() {
        return $this->migErrorLog;
    }
	public function setMigErrorLog($migErrorLog) {
        $this->migErrorLog = $migErrorLog;
    }
	public function getMigFullLog() {
        return $this->migFullLog;
    }
	public function setMigFullLog($migFullLog) {
        $this->migFullLog = $migFullLog;
    }
	public function getUpdated() {
        return $this->updated;
    }
	public function setUpdated(\Datetime $updated) {
        $this->updated = $updated;
    }
	public function __construct() {
        $this->created = new \DateTime();
		$this->deployDate = new \DateTime();
		$this->updated = new \DateTime();
    }
	public function getCreatedBy() {
        return $this->createdBy;
    }
	public function setCreatedBy(\Zeedhi\DevOps\Model\Profile\Entities\ZhUser $createdBy) {
        $this->createdBy = $createdBy;
    }
	public function getOrganization() {
        return $this->organization;
    }
	public function setOrganization(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization $organization) {
        $this->organization = $organization;
    }
	public function getProduct() {
        return $this->product;
    }
	public function setProduct(\Zeedhi\DevOps\Model\Configurationmanager\Entities\Product $product = NULL) {
        $this->product = $product;
    }
    public function getProductServer() {
        return $this->productServer;
    }
    public function setProductServer(\Zeedhi\DevOps\Model\Servermanager\Entities\ProductServer $productServer) {
        $this->productServer = $productServer;
    }
	public function getUpdatedBy() {
        return $this->updatedBy;
    }
	public function setUpdatedBy(\Zeedhi\DevOps\Model\Profile\Entities\ZhUser $updatedBy) {
        $this->updatedBy = $updatedBy;
    }
    public function getResource() {
        return $this->resource;
    }
    public function setResource(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Resource $resource = NULL) {
        $this->resource = $resource;
    }
}
