<?php
namespace Zeedhi\DevOps\Model\Projectmanagement\Repositories;

use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class TaskReplanningReason extends \Doctrine\ORM\EntityRepository {
    
    public function findTaskReplanningReason($organizationId, $filters)
    {
        $sql = <<<SQL
        SELECT *
          FROM (SELECT TRR.ID, RPR.DESCRIPTION AS REPLANNING_REASON, PRO.NAME AS ORIGIN_PROJECT, PRJ.NAME AS DESTINY_PROJECT,
                       TRR.TASK_ID, TRR.CREATED_AT
                  FROM TASK_REPLANNING_REASON TRR
            INNER JOIN REPLANNING_REASON RPR ON RPR.ID = TRR.REPLANNING_REASON_ID
            INNER JOIN PROJECT PRO ON PRO.ID           = TRR.ORIGIN_PROJECT
            INNER JOIN PROJECT PRJ ON PRJ.ID           = TRR.DESTINY_PROJECT
                 WHERE TRR.ORGANIZATION_ID = :organizationId
                   AND TRR.STATUS = :activeStatus)
         WHERE 1 = 1
         $filters
         ORDER BY ID
SQL;
        $params = array(
            'organizationId' => $organizationId,
            'activeStatus' => Entities\TaskReplanningReason::ACTIVE_STATUS
        );
        return $this->getEntityManager()->getConnection()->fetchAll($sql, $params);
    }
    
}